[RS690M] Wrong monitor identified in EDID

Bug #925957 reported by igor on 2012-02-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xorg-server (Ubuntu)
Low
Unassigned

Bug Description

I am using Ubuntu on a Dell Inspiron 1721 with graphic card AMD M690T chipset with ATI Radeon X1270 integrated graphics.

Since the 11.10 release I am experiencing problems with the correct recognition of this card.
With Ubuntu 11.04 all the settings related to the graphic card were correct and the system was running perfectly.

From 11.10 and so far also with 12.04 alpha 2 (the version I used for this bug report) the system doesn't recognize the correct card. Under the window System Info, the Graphics value is Unknown.

The performances related to the graphics are really bad (example: if I open a .avi movie the vision is not fluid at all; the scrolling within Internet pages is not fluid at all). With 11.04 everything was running smoothly.

I guess it should be a simple error of driver assignment but of course I don't have the proper knowledge so I can only give you feedback. If there is something I can do to help I am willing to do it (but I am not an expert so I need to be guided).

Thanks for your efforts and passion, I really admire you guys :)

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xorg 1:7.6+10ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-12.21-generic-pae 3.2.2
Uname: Linux 3.2.0-12-generic-pae i686
NonfreeKernelModules: wl
.tmp.unity.support.test.0:

ApportVersion: 1.91-0ubuntu1
Architecture: i386
CasperVersion: 1.303
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,gnomecompat,grid,imgpng,mousepoll,move,place,regex,resize,session,snap,vpswitch,wall,animation,expo,ezoom,fade,scale,unityshell,workarounds]
CompositorRunning: compiz
Date: Fri Feb 3 09:50:57 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus: bcmwl, 5.100.82.38+bdcom, 3.2.0-12-generic-pae, i686: installed
ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
GraphicsCard:
 Advanced Micro Devices [AMD] nee ATI RS690M [Radeon X1200 Series] [1002:791f] (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:01fd]
LiveMediaBuild: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha i386 (20120201.1)
MachineType: Dell Inc. Inspiron 1721
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/03/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A06
dmi.board.name: 0RT951
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA06:bd02/03/2008:svnDellInc.:pnInspiron1721:pvr:rvnDellInc.:rn0RT951:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Inspiron 1721
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu8
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu4
version.xserver-xorg-core: xserver-xorg-core 2:1.11.3-0ubuntu9
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.99.901-1ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu3
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

igor (igormapelli) wrote :
Bryce Harrington (bryce) on 2012-02-03
summary: - Wrong graphic card drivers
+ [RS690M] Wrong graphic card drivers

Hmm, actually X is finding your card just fine:

GraphicsCard:
 Advanced Micro Devices [AMD] nee ATI RS690M [Radeon X1200 Series] [1002:791f] (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:01fd]

xrandr.txt indicates it's finding your display outputs okay, and has identified a full range of resolutions, and has found a preferred resolution and set it.

It also properly identified your monitor manufacturer:
[ 112.336] (II) RADEON(0): Manufacturer: LPL Model: 0 Serial#: 0

However it did not figure out the model or name of the monitor. Indeed, there is just garbage here:

[ 112.336] (II) RADEON(0): v_active: 900 v_sync: 901 v_sync_end 904 v_blanking: 912 v_border: 0
[ 112.336] (II) RADEON(0): UM606171WX2
[ 112.336] (II) RADEON(0): '8CKj‘Äÿ
[ 112.336] (II) RADEON(0): EDID (in hex):

This is what it should look like (well, how it looks for me):

[ 5.733] (II) RADEON(0): v_active: 350 v_sync: 387 v_sync_end 389 v_blanking: 449 v_border: 0
[ 5.733] (II) RADEON(0): Ranges: V min: 56 V max: 76 Hz, H min: 30 H max: 83 kHz, PixClock max 175 MHz
[ 5.733] (II) RADEON(0): Monitor name: BenQ 241W
[ 5.733] (II) RADEON(0): EDID (in hex):

That's probably why you see the display shown as 'Unknown'.

So, I think when you say "wrong graphic card drivers" what you really mean is "Wrongly identified monitor". If that's incorrect please explain further.

summary: - [RS690M] Wrong graphic card drivers
+ [RS690M] Wrong monitor identified in EDID

My assumption was just based on the (poor) visual performances and the
"Unknown" tag (shown on the System Info) that I mistakenly associated to
the graphic card.
I didn't think that the display could have been a factor on the
performances but, as you say, the system couldn't identify the exact model
of the monitor then probably the troubles are coming from there.
So you're right, "[RS690M] Wrong monitor identified in EDID" is a more
accurate description.

Thanks for your help :)

On Fri, Feb 3, 2012 at 9:19 PM, Bryce Harrington
<email address hidden>wrote:

> Hmm, actually X is finding your card just fine:
>
> GraphicsCard:
> Advanced Micro Devices [AMD] nee ATI RS690M [Radeon X1200 Series]
> [1002:791f] (prog-if 00 [VGA controller])
> Subsystem: Dell Device [1028:01fd]
>
> xrandr.txt indicates it's finding your display outputs okay, and has
> identified a full range of resolutions, and has found a preferred
> resolution and set it.
>
> It also properly identified your monitor manufacturer:
> [ 112.336] (II) RADEON(0): Manufacturer: LPL Model: 0 Serial#: 0
>
> However it did not figure out the model or name of the monitor. Indeed,
> there is just garbage here:
>
> [ 112.336] (II) RADEON(0): v_active: 900 v_sync: 901 v_sync_end 904
> v_blanking: 912 v_border: 0
> [ 112.336] (II) RADEON(0): UM606 171WX2
> [ 112.336] (II) RADEON(0): '8CKj‘Äÿ
> [ 112.336] (II) RADEON(0): EDID (in hex):
>
> This is what it should look like (well, how it looks for me):
>
> [ 5.733] (II) RADEON(0): v_active: 350 v_sync: 387 v_sync_end 389
> v_blanking: 449 v_border: 0
> [ 5.733] (II) RADEON(0): Ranges: V min: 56 V max: 76 Hz, H min: 30 H
> max: 83 kHz, PixClock max 175 MHz
> [ 5.733] (II) RADEON(0): Monitor name: BenQ 241W
> [ 5.733] (II) RADEON(0): EDID (in hex):
>
> That's probably why you see the display shown as 'Unknown'.
>
> So, I think when you say "wrong graphic card drivers" what you really
> mean is "Wrongly identified monitor". If that's incorrect please
> explain further.
>
> ** Summary changed:
>
> - [RS690M] Wrong graphic card drivers
> + [RS690M] Wrong monitor identified in EDID
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/925957
>
> Title:
> [RS690M] Wrong monitor identified in EDID
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/925957/+subscriptions
>

Bryce Harrington (bryce) wrote :

Also, the performance issue you mentioned is almost assuredly some other unrelated problem. File a separate bug about it.

affects: xorg (Ubuntu) → xorg-server (Ubuntu)
Changed in xorg-server (Ubuntu):
importance: Undecided → Medium
status: New → Triaged

I'll do that, thanks ;)

On Fri, Feb 3, 2012 at 11:22 PM, Bryce Harrington <<email address hidden>
> wrote:

> Also, the performance issue you mentioned is almost assuredly some other
> unrelated problem. File a separate bug about it.
>
> ** Package changed: xorg (Ubuntu) => xorg-server (Ubuntu)
>
> ** Changed in: xorg-server (Ubuntu)
> Importance: Undecided => Medium
>
> ** Changed in: xorg-server (Ubuntu)
> Status: New => Triaged
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/925957
>
> Title:
> [RS690M] Wrong monitor identified in EDID
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/925957/+subscriptions
>

igor, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p xorg-server REPLACE-WITH-BUG-NUMBER

Please note, given that the information from the prior release is already available, doing this on a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in xorg-server (Ubuntu):
importance: Medium → Low
status: Triaged → Incomplete
igor (igormapelli) wrote :

Dear Christopher,

Thanks for the updates. Unfortunately I am no longer using that system so I
am not able to determine the status of the bug.

Sorry I couldn't help.
In any case let me thank you and all the people gravitating around the
Ubuntu community for your precious help.

Kind regards,
Igor

Igor Mapelli

On Mon, Jan 6, 2014 at 8:42 PM, Christopher M. Penalver <
<email address hidden>> wrote:

> igor, this bug was reported a while ago and there hasn't been any
> activity in it recently. We were wondering if this is still an issue? If
> so, could you please test for this with the latest development release
> of Ubuntu? ISO images are available from http://cdimage.ubuntu.com
> /daily-live/current/ .
>
> If it remains an issue, could you please run the following command in
> the development release from a Terminal
> (Applications->Accessories->Terminal), as it will automatically gather
> and attach updated debug information to this report:
>
> apport-collect -p xorg-server REPLACE-WITH-BUG-NUMBER
>
> Please note, given that the information from the prior release is
> already available, doing this on a release prior to the development one
> would not be helpful.
>
> Thank you for your understanding.
>
> Helpful bug reporting tips:
> https://wiki.ubuntu.com/ReportingBugs
>
> ** Changed in: xorg-server (Ubuntu)
> Importance: Medium => Low
>
> ** Changed in: xorg-server (Ubuntu)
> Status: Triaged => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/925957
>
> Title:
> [RS690M] Wrong monitor identified in EDID
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/925957/+subscriptions
>

igor, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/925957/comments/7 regarding you no longer have the hardware. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in xorg-server (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers